<template>
    <div class="card">
        <div class="avatar">
            <img src="/resources/assets/card_avatar.png" alt="">
        </div>
        <div class="personal">
            <span class="name">Тилль Линдеман</span>
            <span class="office">Музыка</span>
            <span class="telephone">8-XXX-XXX-XX-XX</span>
        </div>
        <div class="status">
            <div class="row">
                <span>Тестируется</span>
                <span class="circ"></span>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: 'Card',
}
</script>

<style scoped>
.card {
    display: grid;
    width: 100%;
    height: 15vh;
    grid-template-areas: "avatar personal status"
                        "avatar  personal status";
    grid-template-rows: 1fr 1fr;
    grid-template-columns: 20% 55% 25%;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.25);
    border-radius: 5px;
}

.avatar {
    grid-area: avatar;
    display: flex;
    align-items: center;
    justify-content: center;
        padding: 0.8rem;
}

.avatar img {
    width: 100%;
    height: auto;
}

.personal {
    grid-area: personal;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-around;
    box-sizing: border-box;
    padding: 0.5rem 0;
}

.name {
    font-size: 1.5rem
}

.office {
    font-size: 0.9rem
}

.telephone {
    font-size: 0.9rem;
}

.status {
    grid-area: status;
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
    font-size: 0.8rem;
    color: rgba(0, 0, 0, 0.5);
}

.row {
    display: flex;
    align-items: center;
    margin: 0.5rem;
}

.circ {
    width: 0.7rem;
    height: 0.7rem;
    border-radius: 50%;
    background: var(--yellow);
    margin-left: 0.3rem;
}

@media all and (max-width: 970px) {
    .avatar img {
    width: 50%;
}
}

</style>

